lp:ubuntu/trusty/libapp-cmd-perl

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/trusty/libapp-cmd-perl
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

21. By Salvatore Bonaccorso

Imported Upstream version 0.323

20. By Salvatore Bonaccorso

* Imported Upstream version 0.322
* Update versioned (build-)dependency for Getopt::Long 2.39 requirement.
  Change Build-Depends-Indep on perl. Squash versioned and unversioned
  dependencies together with constraint to perl (>= 5.17.10).
  Perl 5.17.10 at least is needed to get Getopt::Long 2.39.
* Bump Standards-Version to 3.9.5

19. By Salvatore Bonaccorso

* Imported Upstream version 0.321
* Drop fix-spelling-error-in-manpage.patch patch

18. By Salvatore Bonaccorso

Adjust (build-)dependency for Module::Pluggable.
Module::Pluggable will be removed from Perl core in 5.20 and emits now
a warning with 5.18. Add Build-Depends-Indep and Depends on alternate
libmodule-pluggable-perl | perl (<< 5.17.0).
Thanks to Dominic Hargreaves <email address hidden> (Closes: #711648)

17. By Salvatore Bonaccorso

[ Nathan Handler ]
* Email change: Nathan Handler -> <email address hidden>

[ Salvatore Bonaccorso ]
* Imported Upstream version 0.319 and 0.320
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Update copyright years for upstream files and Debian packaging
* Bump Standards-Version to 3.9.4
* Change search.cpan.org based URIs to metacpan.org based URIs
* Add fix-spelling-error-in-manpage.patch patch.
  Fix spelling errors in App::Cmd::Tutorial manual.

16. By Salvatore Bonaccorso

Imported Upstream version 0.318

15. By Salvatore Bonaccorso

* Imported Upstream version 0.317
* Update format for debian/copyright file.
  Update format to copyright-format 1.0 as released together with Debian
  policy 3.9.3.
* Bump Standards-Version to 3.9.3
* Correct Build-Depends-Indep on dual life package.
  Correct the Build-Depends-Indep dependency for Test::More to
  perl (>= 5.13.4) | libtest-simple-perl (>= 0.96).

14. By gregor herrmann

* New upstream release.
* Add libio-tiecombine-perl to Depends.
* Add /me to Uploaders.

13. By Salvatore Bonaccorso

* Imported Upstream version 0.314
* Update debian/copyright file.
  Update copyright years for upstream files and for debian/* packaging.
* Update dependencies for Capture::Tiny use.
  Add libcapture-tiny-perl (>= 0.13) to Build-Depends-Indep and Depends.

12. By Salvatore Bonaccorso

* Imported Upstream version 0.313
* Update debian/copyright file.
  Remove stanza about included Module::Install. Upstream source does not
  ship anymore these files.
* Update Build-Depends-Indep on libtest-simple-perl.
  Change Build-Depends-Indep on libtest-simple-perl (>= 0.96) to an
  alternative dependency on perl (>= 5.14) | libtest-simple-perl (>= 0.96)

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/saucy/libapp-cmd-perl
This branch contains Public information 
Everyone can see this information.

Subscribers